import React, { CSSProperties } from 'react';
import '@ta-interaktiv/semantic-ui/semantic/dist/components/list.css';
export interface LinkProps {
    /** Url to open  */
    href?: string;
    icon?: string;
    /** hide the icon  */
    hideIcon?: boolean | false;
    /** Link target  */
    target?: [string, string] | string;
    /** CSS-Class for Link */
    className?: string;
    /** Inline css for the link */
    style?: CSSProperties;
    children?: string | React.ReactNode;
    [key: string]: any;
}
export declare const Link: {
    ({ href, children, icon, hideIcon, target, className, style, ...props }: LinkProps): JSX.Element;
    defaultProps: {
        href: string;
        icon: string;
        hideIcon: boolean;
        target: string[];
        className: string;
        style: {
            whiteSpace: string;
        };
    };
};
