import { CSSProperties } from 'react';
export interface SVGProps {
    /**
     * File to be displayed
     * Required file or array of two required files
     */
    file?: string | [string, string];
    /** CSS-Class for the Image */
    className?: string;
    /** Inline-Css for the Image */
    style?: CSSProperties;
    /** Title to show above the Image */
    title?: string;
    /** Subtitle to show below title */
    sub?: string;
    /** Source to show below the image */
    source?: string;
    /** Proportions for the Image */
    proportions?: '16:9' | '4:5' | '1:1';
    /** Specific height for the Image both |  [mobile,desktop] */
    height?: string | [string, string];
    /** any other properties get applied to the image */
    props?: any;
    [key: string]: any;
}
export declare const SVG: {
    ({ file, className, style, title, sub, source, height, proportions, ...props }: SVGProps): JSX.Element;
    defaultProps: {
        className: string;
    };
};
