var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { browserCheck } from '@ta-interaktiv/browsercheck';
import { Placeholder } from './placeholder';
import './styles.scss';
import { imageProportions } from './imageProportions';
export var Image = function (_a) {
    var file = _a.file, className = _a.className, style = _a.style, title = _a.title, sub = _a.sub, source = _a.source, height = _a.height, proportions = _a.proportions, props = __rest(_a, ["file", "className", "style", "title", "sub", "source", "height", "proportions"]);
    if (!file) {
        return (React.createElement(Placeholder, { message: 'Placeholder for your Image', mod: 'Image', style: style, title: title, sub: sub, source: source, proportions: proportions }));
    }
    var src = '';
    var h = 'auto';
    if (typeof file === 'object') {
        if (browserCheck.isMobile) {
            src = file[0].toString();
        }
        else {
            src = file[1].toString();
        }
    }
    else {
        src = file.toString();
    }
    if (typeof height === 'object') {
        if (browserCheck.isMobile) {
            h = height[0];
        }
        else {
            h = height[1];
        }
    }
    else {
        if (height)
            h = height;
    }
    if (!file.toString().includes('base64') && !file.toString().includes('/')) {
        src = 'images/' + src;
    }
    var ImgElement = function () {
        return (React.createElement("img", __assign({ src: src, className: 'image', style: __assign({}, style, (proportions || height
                ? {
                    position: 'absolute',
                    top: '0',
                    left: '0',
                    right: '0',
                    bottom: '0',
                    height: '100%',
                    width: '100%',
                    objectFit: 'cover'
                }
                : { width: '100%' })), alt: props.alt || '' }, props)));
    };
    return (React.createElement("div", { className: className, style: proportions || height
            ? {
                paddingBottom: proportions
                    ? imageProportions[proportions] + '%'
                    : h,
                overflow: 'hidden',
                position: 'relative',
            }
            : {} },
        title && React.createElement("div", { className: 'title' }, title),
        sub && React.createElement("div", { className: 'sub' }, sub),
        React.createElement(ImgElement, null),
        source && React.createElement("div", { className: 'source' }, source)));
};
Image.defaultProps = {
    className: 'cbImage'
};
