var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useEffect, useState } from 'react';
import { Placeholder } from './placeholder';
import * as https from 'https';
var callTextApi = function (callback) {
    https
        .get('https://baconipsum.com/api/?type=all-meat&paras=2', function (resp) {
        var data = '';
        // A chunk of data has been recieved.
        resp.on('data', function (chunk) {
            data += chunk;
        });
        // The whole response has been received. Print out the result.
        resp.on('end', function () {
            callback(JSON.parse(data).join('\n\n'));
        });
    })
        .on('error', function (err) {
        console.log('Error: ' + err.message);
    });
};
export var MDX = function (_a) {
    var file = _a.file, _b = _a.className, className = _b === void 0 ? 'cbMDX' : _b, _c = _a.noContainer, noContainer = _c === void 0 ? false : _c, props = __rest(_a, ["file", "className", "noContainer"]);
    var _d = useState('Placeholder for your MDX-Content. MDX not loaded. Check console!'), phtext = _d[0], setText = _d[1];
    useEffect(function () {
        if (typeof file === 'string' || !file) {
            callTextApi(function (text) {
                console.log(text);
                setText(text);
            });
        }
    }, []);
    if (typeof file === 'string' || !file) {
        if (typeof file === 'string') {
            console.warn('contentbrick | MDX\nFile has to be required!');
        }
        return React.createElement(Placeholder, __assign({ message: phtext, mod: 'MDX' }, props));
    }
    var Content = file.default;
    return !noContainer ? (React.createElement("div", { className: className },
        React.createElement(Content, __assign({}, props)))) : (React.createElement(React.Fragment, null,
        React.createElement(Content, __assign({}, props))));
};
