var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { browserCheck } from '@ta-interaktiv/browsercheck';
import ReactSVG from 'react-svg';
import { Placeholder } from './placeholder';
import { imageProportions } from './imageProportions';
var CompFromString = function (_a) {
    var src = _a.src;
    return (React.createElement("div", { dangerouslySetInnerHTML: {
            __html: atob(src.replace(/data:image\/svg\+xml;base64,/, ''))
        } }));
};
export var SVG = function (_a) {
    var file = _a.file, className = _a.className, style = _a.style, title = _a.title, sub = _a.sub, source = _a.source, height = _a.height, proportions = _a.proportions, props = __rest(_a, ["file", "className", "style", "title", "sub", "source", "height", "proportions"]);
    console.log(':::::::', file);
    if (!file) {
        return (React.createElement(Placeholder, { message: 'Placeholder for your SVG', mod: 'SVG', style: style, title: title, sub: sub, source: source, proportions: proportions }));
    }
    var src = '';
    var h = 'auto';
    if (typeof file === 'object') {
        if (browserCheck.isMobile) {
            src = file[0].toString();
        }
        else {
            src = file[1].toString();
        }
    }
    else {
        src = file.toString();
    }
    if (!file.toString().includes('base64') && !file.toString().includes('/')) {
        src = 'images/' + src;
    }
    if (typeof height === 'object') {
        if (browserCheck.isMobile) {
            h = height[0];
        }
        else {
            h = height[1];
        }
    }
    else {
        if (height)
            h = height;
    }
    var ImgElement = function () {
        console.log('err');
        return (React.createElement("img", __assign({ src: src, className: 'image', style: __assign({}, style, (proportions || height
                ? {
                    position: 'absolute',
                    top: '0',
                    left: '0',
                    right: '0',
                    bottom: '0',
                    height: '100%',
                    width: '100%',
                    objectFit: 'cover'
                }
                : { width: '100%' })), alt: props.alt || '' }, props)));
    };
    var doAfterInlineSVGInjection = function (err, svg) {
        if (svg) {
            svg.setAttribute('width', '100%');
            if (h) {
                var currentHeight = svg.getBoundingClientRect().height;
                var wantedHeight = parseInt(h);
                var newWidth = (100 * wantedHeight) / currentHeight;
                if (newWidth > 100)
                    svg.setAttribute('width', newWidth + '%');
            }
        }
        if (err) {
            console.warn('contentbricks | SVG \n', err);
        }
    };
    return (React.createElement("div", { className: className, style: proportions || height
            ? {
                paddingBottom: proportions
                    ? imageProportions[proportions] + '%'
                    : h,
                overflow: 'hidden',
                position: 'relative'
            }
            : {} },
        title && React.createElement("div", { className: 'title' }, title),
        sub && React.createElement("div", { className: 'sub' }, sub),
        src.includes('data:image/svg+xml;base64,') ? (React.createElement(CompFromString, { src: src })) : (React.createElement(ReactSVG, __assign({ src: src, className: 'image', style: __assign({}, style, (proportions || height
                ? {
                    position: 'absolute',
                    top: '0',
                    left: '0',
                    right: '0',
                    bottom: '0',
                    height: '100%',
                    width: '100%',
                    objectFit: 'cover'
                }
                : { width: '100%' })) }, props, { afterInjection: doAfterInlineSVGInjection, fallback: ImgElement }))),
        source && React.createElement("div", { className: 'source' }, source))
    // <div className={className}>
    //   {title && <div className='title'>{title}</div>}
    //   {sub && <div className='sub'>{sub}</div>}
    //   {src.includes('data:image/svg+xml;base64,') ? (
    //     <CompFromString src={src} />
    //   ) : (
    //     <ReactSVG
    //       src={src}
    //       className='image'
    //       style={style}
    //       {...props}
    //       afterInjection={doAfterInlineSVGInjection}
    //       fallback={ImgElement}
    //     />
    //   )}
    //   {source && <div className='source'>{source}</div>}
    // </div>
    );
};
SVG.defaultProps = {
    className: 'cbSVG'
};
